#!/bin/sh

set -e

cd $(dirname $0)

. ../../common/config.sh
. ../../common/log.sh

log_start "$0" "Add a new user"

save_config

# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0

change_config

echo -n "Create user test1 (useradd test1)..."
useradd test1
echo "OK"
echo -n "Unlock user's password..."
usermod -U test1 2>tmp/err
echo "OK"

echo "usermod displayed:"
echo "======================================================================="
cat tmp/err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au 11_usermod_unlock_empty_password/usermod.err tmp/err
echo "error message OK."
rm -f tmp/err

echo -n "Check the passwd file..."
../../common/compare_file.pl 11_usermod_unlock_empty_password/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl 11_usermod_unlock_empty_password/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl 11_usermod_unlock_empty_password/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl 11_usermod_unlock_empty_password/gshadow /etc/gshadow
echo "OK"
echo -n "no homedir..."
test -d /home/test1 && exit 1 || true
echo "OK"

log_status "$0" "SUCCESS"
restore_config
trap '' 0

